device(1).
job(2).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
job(5).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(3).
job(4).
precedes(1,2).
precedes(2,3).
precedes(4,5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
deadline(9,19).
deadline(12,19).
precedes(5,6).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
importance(12,2).
importance(11,3).
importance(10,3).
importance(9,1).
importance(8,1).
importance(7,1).
importance(6,3).
importance(5,2).
importance(4,2).
importance(3,3).
importance(2,2).
importance(1,1).
job_device(1,2).
job_device(4,2).
job_device(7,2).
job_device(10,2).
job_device(2,4).
job_device(5,4).
job_device(8,3).
job_device(11,3).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_len(12,11).
job_len(11,4).
job_len(10,13).
job_len(9,20).
job_len(8,9).
job_len(7,15).
job_len(6,7).
job_len(5,13).
job_len(4,13).
job_len(3,9).
job_len(2,6).
job_len(1,17).
deadline(3,25).
deadline(6,34).
max_total_penalty(303).
curr_time(0).
max_value(480).

